"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Row = exports.Container = exports.Col = void 0;
const react_1 = __importDefault(require("react"));
const utilities_1 = require("../utilities");
const s = __importStar(require("../styles"));
const Col = ({ children, size = utilities_1.Size.sm, colSpan = 0, ...rest }) => {
    const appendedStyle = (0, utilities_1.useColumnSizes)(size, colSpan);
    return (react_1.default.createElement("div", { style: { ...s.Col, ...appendedStyle }, ...rest }, children));
};
exports.Col = Col;
const Container = ({ children, size = utilities_1.Size.sm, ...rest }) => {
    const maxWidth = (0, utilities_1.useContainerSizes)(size);
    return (react_1.default.createElement("div", { style: { ...s.Container, maxWidth }, ...rest }, children));
};
exports.Container = Container;
const Row = ({ children, ...rest }) => {
    return (react_1.default.createElement("div", { style: s.Row, ...rest }, children));
};
exports.Row = Row;
//# sourceMappingURL=grid.js.map